Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.atomikos.icatch.jaxb.wsat.v200410
Enum Vote

    java.lang.Object
      java.lang.Enum<Vote>
          com.atomikos.icatch.jaxb.wsat.v200410.Vote

All Implemented Interfaces:
  Serializable, Comparable<Vote>

    public enum Vote

extends Enum<Vote>

Java class for Vote.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="Vote">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="VoteCommit"/>
         <enumeration value="VoteRollback"/>
         <enumeration value="VoteReadOnly"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`VOTE_COMMIT`
`VOTE_READ_ONLY`
`VOTE_ROLLBACK`

Method Summary
`static Vote` | `fromValue(String v)`
`String` | `value()`
`static Vote` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Vote[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VOTE_COMMIT

    public static final Vote VOTE_COMMIT

### VOTE_READ_ONLY

    public static final Vote VOTE_READ_ONLY

### VOTE_ROLLBACK

    public static final Vote VOTE_ROLLBACK

Method Detail

### values

    public static final Vote[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Vote c : Vote.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Vote valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public String value()

### fromValue

    public static Vote fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.